# DataExchange
TKXCAFSchema
XCAFDrivers

# XCAFDrivers_DocumentRetrievalDriver Class Reference

retrieval driver of a XS document

`#include <XCAFDrivers_DocumentRetrievalDriver.hxx>`

## Public Member Functions

Standard_EXPORT | XCAFDrivers_DocumentRetrievalDriver ()
virtual Standard_EXPORT Handle_MDF_ARDriverTable | AttributeDrivers (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT XCAFDrivers_DocumentRetrievalDriver::XCAFDrivers_DocumentRetrievalDriver | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_MDF_ARDriverTable XCAFDrivers_DocumentRetrievalDriver::AttributeDrivers | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) | `[virtual]`

Standard_EXPORT const XCAFDrivers_DocumentRetrievalDriver::Handle | ( | Standard_Type |  | ) | const

The documentation for this class was generated from the following file:

- XCAFDrivers_DocumentRetrievalDriver.hxx